package com.fzm.mall.server.front.user.service;

import com.fzm.mall.server.front.goods.model.vo.PageVo;
import com.fzm.mall.server.front.goods.model.vo.SaleHotVo;
import com.fzm.mall.server.front.user.model.Collections;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author fzm
 * @since 2021-05-24
 */
public interface ICollectionsService extends IService<Collections> {

    Collections getByUidAndGoodsId(String uid, String goodsId);

    Integer getCount(String uid);

    List<SaleHotVo> getGoods(String uid, PageVo pageVo);

    Boolean isCollections(String uid, String goodsId);

    void delCollections(String uid, String[] split);
}
